Page MenuHomePhabricator

compress wb_changes_dispatch on testwikidatawiki
Closed, ResolvedPublic

Description

In T205865 we realized that compressed tables sped up our dispatch queries to wb_changes_dispatch.

In the interest of keeping WMF production the same everywhere we should also do this on testwikidatawiki

Event Timeline

Addshore triaged this task as Low priority.Oct 18 2018, 8:07 AM
Addshore created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2018, 8:07 AM
Addshore moved this task from incoming to monitoring on the Wikidata board.Oct 18 2018, 8:07 AM
Marostegui moved this task from Triage to Backlog on the DBA board.Oct 18 2018, 8:08 AM

For the record, this table only has 4 rows, so it can probably done directly on the master with replication (once we are out of the woods with s8)

Mentioned in SAL (#wikimedia-operations) [2018-10-23T06:02:09Z] <marostegui> Deploy schema change on s3 - T207359

Marostegui closed this task as Resolved.Oct 23 2018, 6:07 AM
Marostegui claimed this task.

This has now been done:

root@neodymium:/home/marostegui# ./section s3 | while read host port; do echo $host:$port; mysql.py -h$host:$port testwikidatawiki -e "show create table wb_changes_dispatch\G" | grep ENGINE;done
labsdb1011.eqiad.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
labsdb1010.eqiad.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
labsdb1009.eqiad.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
dbstore2002.codfw.wmnet:3313
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
dbstore1002.eqiad.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8 /* `compression`='tokudb_zlib' */
db2094.codfw.wmnet:3313
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db2074.codfw.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db2057.codfw.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db2050.codfw.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db2043.codfw.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db2036.codfw.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db1124.eqiad.wmnet:3313
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db1123.eqiad.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db1095.eqiad.wmnet:3313
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db1078.eqiad.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db1077.eqiad.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8
db1075.eqiad.wmnet:3306
) ENGINE=InnoDB DEFAULT CHARSET=binary ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=8